> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flatpeak.com/llms.txt
> Use this file to discover all available pages before exploring further.

# API Reference (2025-09-14.anode)

<Note>2025-09-14.anode [release notes](/api-reference/anode/release-notes)</Note>

## Connect endpoints

[Connect endpoints](/api-reference/anode/connect/start-a-connect-session) use a **JSON-based session flow** rather than the standard REST request/response pattern.

* [One-time-use token authentication](/api-reference/anode/connect/create-a-connect-token)
* JSON for all reads and writes
* To implement, follow the [Integrate your app](/guides/connect) guide

## All other endpoints

All other endpoints are **RESTful and resource-driven**, following standard HTTP conventions.

* Standard HTTP methods (`GET`, `POST`, etc.)
* [Bearer authentication](/api-reference/anode/authentication)
* JSON for all reads and writes

## Errors

Flatpeak uses standard HTTP status codes to indicate the success or failure of requests.

<Warning>
  The `422` status code is used to signal two important conditions.

  * Returns the `account_disabled` code when your account is out of subscription or disabled.
  * Returns `pending_connect`, `no_tariff_connected`, or `no_price_data` when energy price data is not available.

  See the [Errors](/guides/system/errors) article for implementation guidance.
</Warning>

## Test mode

Use [test (sandbox)](/guides/system/test-mode) mode for development and testing.

## Versioning

By default, all requests use your Flatpeak account’s default API version, configured in [Dashboard](https://dashboard.flatpeak.com/settings/versions).

You can override it by including the `Flatpeak-Version` header in your request:

```json theme={"system"}
❯ curl -s --request GET \
  --url "https://api.flatpeak.com/devices/dev_66b1ea3cbbfa0d30b978ce37" \
  --header "Authorization: Bearer $TOKEN" \
  --header 'Flatpeak-Version: 2025-09-14.anode'
```

Learn more about working with API versions in the [API Versioning](/guides/system/versioning) guide.
